header {
  background-color: var(--header-bg);
  align-items: center;
  // display: flex; set in layout.
}

#header-icon {
  background-image: var(--header-icon-url);
  background-color: var(--header-icon-bg);
  background-position: var(--header-icon-position);
  background-size: contain;
  background-repeat: no-repeat;
}

#header-text {
  flex-grow: 1;
  background-image: var(--header-image-url);
  background-position: var(--header-image-position);
  background-size: contain;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  span {
    display: block;
    color: var(--header-fg);
    font-size: 3rem;
    font-weight: bold;
    margin-left: $grid-gutter-width;
    white-space: nowrap;
  }
}

$session_btn_color: rgba(0,0,0,0.3);
$session_btn_bg_color: rgba(0,0,0,0.1);

#header-status {
  a {font-weight: bold;}
  a, button {
    color: var(--header-fg)
  }
  a:hover, button:hover {
    background-color: $session_btn_bg_color;
    border: 1px solid $session_btn_color;
  }
}

@include media-breakpoint-down(lg) { #header-text span {font-size: 2rem;} }
@include media-breakpoint-down(md) {
  #header-text span {
    font-size: 1rem;
  }
  #header-status {
    transform: scale(0.8);
    button, a {
      padding: 2px 8px !important;
    }
  }
}